#include "tiles/rainbow.h"
#include "entities/rainbow.h"

Entity *Rainbow::create_entity() {
    return new entity::Rainbow();
}

void Rainbow::render(Render r) {
    auto &entity = (entity::Rainbow &)node().entity();
    r.fill_rectangle_sz(
        node().pos() * (TILE_SIZE + 1),
        node().size() * TILE_SIZE,
        entity.color()
    );
}

